Edushade Docs
Drip_schedule

Create drip schedule

POST
/admin/learning/drip-schedules
AuthorizationBearer <token>

In: header

content_idstring
Default"{{content_id}}"
content_typestring
Default"lesson"
curriculum_item_idstring
Default"{{curriculum_item_id}}"
program_idstring
Default"{{program_id}}"
program_typestring
Default"course"
required_curriculum_item_idstring
Default"123e4567-e89b-12d3-a456-426614174004"
Formatuuid
unlock_days_after_enrollmentinteger
Default7
unlock_typestring
Default"enrollment_offset"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/learning/drip-schedules" \
  -H "Content-Type: application/json" \
  -d '{
    "content_id": "{{content_id}}",
    "content_type": "lesson",
    "curriculum_item_id": "{{curriculum_item_id}}",
    "program_id": "{{program_id}}",
    "program_type": "course",
    "required_curriculum_item_id": "123e4567-e89b-12d3-a456-426614174004",
    "unlock_days_after_enrollment": 7,
    "unlock_type": "enrollment_offset"
  }'
{}
Empty
Empty
Empty